.form {
    padding-top: 25px;
    font-size: 14px;
}

.form__line {
    margin-bottom: 18px;
}

.form__line:first-child {
    margin-top: 20px;
}

.form__line label {
    display: block;
    margin-bottom: 8px;
}

.form__line input {
    border-radius: 6px;
    border: 1px solid #343A40;
    padding: 10px 15px;
    width: 100%;
}

.form .main__button {
    width: 100%;
}

.form img {
    width: 160px;
    margin: 35px auto 15px;
    display: block;
}

.form p {
    font-size: 15px;
    line-height: 23px;
}

.form .partner__social {
    padding: 19px 0;
}

.form .p-profile__note p {
    font-size: inherit;
    line-height: normal;
}

.form .p-profile__note p a {
    color: inherit;
}

.form__item--error .form__input-holder::after,
.form__item--validated .form__input-holder::after {
    content:'';
    position:absolute;
    top:17px;
    right:16px;
    background-repeat:no-repeat;
    background-size:contain
}
.form__item--validated .form__input-holder::after {
    width:14px;
    height:12px;
    background-image:url("data:image/svg+xml,%3Csvg width='14' height='12' viewBox='0 0 14 12' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M7.31955 11.1628C6.95195 11.6609 6.3795 11.967 5.76055 11.9975C5.1416 12.0282 4.54213 11.7792 4.1274 11.3193L0.410875 7.20208C-0.179797 6.54812 -0.127328 5.54005 0.527753 4.95039C1.18346 4.36073 2.19263 4.41342 2.78331 5.06769L5.41274 7.98087C5.4517 8.02415 5.50825 8.04736 5.56638 8.04454C5.62482 8.04171 5.67823 8.01254 5.7131 7.96612L11.1178 0.648379C11.6409 -0.0604678 12.6406 -0.211333 13.351 0.311206C14.0608 0.833746 14.2116 1.83178 13.6881 2.54031L7.31955 11.1628Z' fill='%23ABC413'/%3E%3C/svg%3E%0A")
}
.form__item--error .form__input-holder::after {
    width:4px;
    height:15px;
    background-image:url("data:image/svg+xml,%3Csvg width='4' height='15' viewBox='0 0 4 15' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M0.0599999 0H3.78L3.16 9.14H0.68L0.0599999 0ZM1.92 14.16C1.37333 14.16 0.913333 13.9867 0.54 13.64C0.18 13.28 0 12.8467 0 12.34C0 11.8333 0.18 11.4133 0.54 11.08C0.9 10.7333 1.36 10.56 1.92 10.56C2.48 10.56 2.94 10.7333 3.3 11.08C3.66 11.4133 3.84 11.8333 3.84 12.34C3.84 12.8467 3.65333 13.28 3.28 13.64C2.92 13.9867 2.46667 14.16 1.92 14.16Z' fill='%23EB5C44'/%3E%3C/svg%3E%0A")
}
.form__note {
    display:block;
    padding-top:3px;
    font-size:11px;
    font-weight:700;
    text-align:center;
    color:#979797
}
.form__note--error {
    color:#e5243a
}
.form__note._hidden {
    opacity:0
}

.visually-hidden {
    display: none !important;
}

#password_generator {
    cursor: pointer;
    text-decoration: dashed;
    display: block;
    margin-bottom: 5px;
}

@media (min-width: 768px) {
    .form {
        display: grid;
        grid-template-columns: 55% 43%;
        justify-content: space-between;
    }

    .form > :not(img) {
        grid-column: 1;
    }

    .form label {
        font-size: 22px;
    }

    .form input {
        font-size: 16px;
        padding: 15px;
    }

    .form img {
        grid-row: 1 / 5;
        grid-column: 2;
        max-width: 415px;
        width: 100%;
    }

    .form p {
        grid-column: 1;
        font-size: 36px;
        line-height: 40px;
        margin: 40px 0 25px;
    }

    .form .partner__social {
        grid-column: 1;
    }

    .form .main__button {
        max-width: 312px;
        font-size: 18px;
        padding: 15px 0;
        margin: 35px 0 0;
    }

    .form .partner__social {
        padding: 0 0 40px;
        justify-content: start;
    }

    .form .partner__social-list {
        margin: 0;
        justify-content: start;
    }
}